{
  "extends": "astro/tsconfigs/strict",
  "compilerOptions": {
    "strictNullChecks": true,
    "baseUrl": ".",
    "paths": {
      "@components/*": ["src/components/*"],
      "@layouts/*": ["src/layouts/*"],
      "@images/*": ["src/images/*"],
      "@styles/*": ["src/styles/*"],
      "@assets/*": ["src/assets/*"],
      "@stores/*": ["src/stores/*"],
      "@lib/*": ["src/lib/*"],
      "@globalInterfaces": ["src/globalInterfaces"]
    },
    "jsx": "preserve",
    "jsxImportSource": "solid-js"
  },
  "include": [
    "src/**/*",
    ".astro/types.d.ts"
  ],
  "exclude": [
    "node_modules",
    "dist"
  ]
}
